Package org.springframework.security.web.authentication

# Class SimpleUrlAuthenticationSuccessHandler

java.lang.Object
org.springframework.security.web.authentication.AbstractAuthenticationTargetUrlRequestHandler
org.springframework.security.web.authentication.SimpleUrlAuthenticationSuccessHandler

All Implemented Interfaces:
  `AuthenticationSuccessHandler`

Direct Known Subclasses:
  `SavedRequestAwareAuthenticationSuccessHandler`

public class SimpleUrlAuthenticationSuccessHandler extends AbstractAuthenticationTargetUrlRequestHandler implements AuthenticationSuccessHandler
`AuthenticationSuccessHandler` which can be configured with a default URL which users should be sent to upon successful authentication.

The logic used is that of the `parent class`.

Since:
  3.0

## Field Summary

### Fields inherited from class org.springframework.security.web.authentication.AbstractAuthenticationTargetUrlRequestHandler

`logger`

## Constructor Summary

Constructors
Constructor
Description
`SimpleUrlAuthenticationSuccessHandler()`
`SimpleUrlAuthenticationSuccessHandler(String defaultTargetUrl)`
Constructor which sets the `defaultTargetUrl` property of the base class.

## Method Summary

Modifier and Type
Method
Description
`protected final void`
`clearAuthenticationAttributes(jakarta.servlet.http.HttpServletRequest request)`
Removes temporary authentication-related data which may have been stored in the session during the authentication process.
`void`
`onAuthenticationSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication)`
Calls the parent class `handle()` method to forward or redirect to the target URL, and then calls `clearAuthenticationAttributes()` to remove any leftover session data.

### Methods inherited from class org.springframework.security.web.authentication.AbstractAuthenticationTargetUrlRequestHandler

`determineTargetUrl, determineTargetUrl, getDefaultTargetUrl, getRedirectStrategy, getTargetUrlParameter, handle, isAlwaysUseDefaultTargetUrl, setAlwaysUseDefaultTargetUrl, setDefaultTargetUrl, setRedirectStrategy, setTargetUrlParameter, setUseReferer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.security.web.authentication.AuthenticationSuccessHandler

`onAuthenticationSuccess`

## Constructor Details

### SimpleUrlAuthenticationSuccessHandler

public SimpleUrlAuthenticationSuccessHandler()

### SimpleUrlAuthenticationSuccessHandler

public SimpleUrlAuthenticationSuccessHandler(String defaultTargetUrl)
Constructor which sets the `defaultTargetUrl` property of the base class.

Parameters:
  `defaultTargetUrl` - the URL to which the user should be redirected on successful authentication.

## Method Details

### onAuthenticationSuccess

public void onAuthenticationSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication) throws IOException, jakarta.servlet.ServletException
Calls the parent class `handle()` method to forward or redirect to the target URL, and then calls `clearAuthenticationAttributes()` to remove any leftover session data.

Specified by:
  `onAuthenticationSuccess` in interface `AuthenticationSuccessHandler`
Parameters:
  `request` - the request which caused the successful authentication
  `response` - the response
  `authentication` - the `Authentication` object which was created during the authentication process.
Throws:
  `IOException`
  `jakarta.servlet.ServletException`

### clearAuthenticationAttributes

protected final void clearAuthenticationAttributes(jakarta.servlet.http.HttpServletRequest request)
Removes temporary authentication-related data which may have been stored in the session during the authentication process.